MCP::Constants(3pm)

NAME
MCP::Constants - Constants for MCP (Model Context Protocol)

SYNOPSIS
  use MCP::Constants qw(PROTOCOL_VERSION);

DESCRIPTION
MCP::Constants provides constants used in MCP (Model Context Protocol).

CONSTANTS
MCP::Constants exports the following constants.

  INVALID_PARAMS
The error code for invalid parameters.

  INVALID_REQUEST
The error code for an invalid request.

  METHOD_NOT_FOUND
The error code for a method that was not found.

  PARSE_ERROR
The error code for a parse error.

  PROTOCOL_VERSION
The version of the Model Context Protocol being used.

  RESOURCE_NOT_FOUND
The error code for a resource that was not found.

SEE ALSO
MCP, <https://mojolicious.org>, <https://modelcontextprotocol.io>.